MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032040Open CASCADE[OCCT] OCCT:Visualizationpublic2021-01-04 12:022021-02-25 21:55
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032040: Visualization, OpenGl_View - merge OpenGl_View_Redraw.cxx into OpenGl_View.cxx
DescriptionOpenGl_View_Redraw.cxx / OpenGl_View.cxx separation is obsolete and redundant - it is proposed merging these files.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0032038verifiedbugmaster Visualization, OpenGl_View - move out framebuffer initialization from ::Redraw() to ::prepareFrameBuffers() 
related to 0032160verifiedbugmaster Coding Rules - merge AIS_InteractiveContext_*.cxx into single file 

-  Notes
(0098021)
git (administrator)
2021-01-09 23:34

Branch CR32040 has been created by kgv.

SHA-1: 7ad364d52c09a668d77e0c50a3bc63e08015c6e1


Detailed log of new commits:

Author: kgv
Date: Mon Jan 4 12:13:38 2021 +0300

    0032040: Visualization, OpenGl_View - merge OpenGl_View_Redraw.cxx into OpenGl_View.cxx
(0098029)
kgv (developer)
2021-01-10 02:04

Please raise the patch
- OCCT branch: CR32040.
(0098138)
bugmaster (administrator)
2021-01-16 13:29

Combination -
OCCT branch : IR-2021-01-15
master SHA - 6fab0b34288ef3f29ecf4eabc0283540460dbc31
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2021-01-15 SHA - a8521c25e41405ac279e65e1fcde5de75a344b0b
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17754.160000000134 / 17720.07000000011 [+0.19%]
Products
Total CPU difference: 12412.630000000105 / 12419.360000000095 [-0.05%]
Windows-64-VC14:
OCCT
Total CPU difference: 19336.3125 / 19330.015625 [+0.03%]
Products
Total CPU difference: 13740.03125 / 13831.828125 [-0.66%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

- Related Changesets
occt: master cfb54c0c
Timestamp: 2021-01-04 09:13:38
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032040: Visualization, OpenGl_View - merge OpenGl_View_Redraw.cxx into OpenGl_View.cxx
mod - src/OpenGl/FILES Diff ] File ]
mod - src/OpenGl/OpenGl_View.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_View_Redraw.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-01-04 12:02 kgv New Issue
2021-01-04 12:02 kgv Assigned To => kgv
2021-01-04 12:08 kgv Relationship added related to 0032038
2021-01-09 23:34 git Note Added: 0098021
2021-01-10 02:04 kgv Note Added: 0098029
2021-01-10 02:04 kgv Assigned To kgv => bugmaster
2021-01-10 02:04 kgv Status new => resolved
2021-01-10 02:04 kgv Status resolved => reviewed
2021-01-16 13:29 bugmaster Note Added: 0098138
2021-01-16 13:29 bugmaster Status reviewed => tested
2021-01-16 13:39 bugmaster Test case number => Not required
2021-01-16 14:12 bugmaster Changeset attached => occt master cfb54c0c
2021-01-16 14:12 bugmaster Status tested => verified
2021-01-16 14:12 bugmaster Resolution open => fixed
2021-02-25 21:55 kgv Relationship added related to 0032160


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker